Skip to main content

18 posts tagged with "updates"

View All Tags

Joe Longstreet

Two new fields are now available on the /order endpoints: retailerParentOrganization and retailerParentOrganizationId. Both fields are nullable dependent on whether a not the associated retailer has a parent organization.

Example excerpt from response

{
"retailerParentOrganizationId": "82b67224-9bc3-4099-9b2d-9e415c91e912",
"retailerParentOrganization": "Retailer Parent Organization"
}

View the Order API Reference (get many and get one) for more detail.

Matt Carter
info

Please refer to the Date and Times documentation on exact input parameter and results formatting.

Parameters

For the order endpoint, we have added two new query parameters to allow filtering results within a date range or single date. Note that the date filtering is inclusive of the provided date.

  • startUpdatedAt - starting point of the date range to filter results by (inclusive of the date)
  • endUpdatedAt - ending point of the date range to filter results by (inclusive of the date)

Response

It will also return two new fields in the response, mirroring how createdAt is handled:

  • updatedDate - date portion of the field. Ex. 2024-04-20
  • updatedTimestamp - full timestamp. Ex. 2024-04-20T23:26:41.782Z

Example excerpt from response

{
"id": "82b67224-9bc3-4099-9b2d-9e415c91e912",
"updatedDate": "2023-04-20",
"updatedTimestamp": "2023-04-20T23:26:41.782Z"
}

View the Order API Reference for more detail.

Joe Longstreet

The mustPayPriorBalance field is now available on both the /order and /invoice endpoints.

This field reflects whether or not an order has a must pay prior balance restriction applied.

Example Excerpt from Response

{
"mustPayPriorBalance": "true"
}

Matt Carter

The createdTimestamp timestamp is now available on the /order endpoint.

This timestamp is the time the order was created in the system (including timezone offset). This should allow a consumer to accurately determine the order creation date in any desired timezone.

Example Excerpt from Response

{
"createdDate": "2023-02-23",
"createdTimestamp": "2023-02-23T23:26:41.782Z"
}

Matt Carter

/order field additions

We have added three net-new calculated fields to the /order endpoint:

  • lineItemPriceDifference - Line-Item-level reductions from the wholesale value to the net line-item value
  • orderTsPerLine - Order-level reductions from order trade spend per line item applied proportionally to the line-item value
  • totalTsPerLine - Total reductions per line-item (sum of line-item PriceDifference and orderTsPerLine)

We have also amended the description of the skuPricePerUnit field on the /inventory endpoint to match that of the /order endpoint:

The unit price of each unit in the case.

Matt Carter

New fields for /invoice

  • id - The Nabis order identifier
  • total - The order total
  • due - Net balance plus excise tax less any amounts collected
  • subtotalDue - Net Amount less partial collections

New fields for /order

  • subtotalCollected - $ amount collected for order (typically from partial payments)
  • lineItemNotes - Notes entered in for the line item
  • paidAt - The timestamp at when the order was marked paid in full

Matt Carter

New fields for /inventory

  • skuDisplayName - the SKU's Marketplace display name
  • skuName - the name of the SKU
  • skuCasePackSize - the number of eaches the SKU is sold by
  • skuTotalPrice - The total price of the SKU (skuPricePerUnit * skuCasePackSize)

New fields for /order

  • skuDisplayName - the SKU's Marketplace display name
  • skuName - the name of the SKU
  • skuCasePackSize - the number of eaches the SKU is sold by
  • skuTotalPrice - The total price of the SKU (skuPricePerUnit * skuCasePackSize)
  • skuPricePerUnit - The unit price of each unit in the case.

Matt Carter

We have updated the nomenclature of field names in the API:

  • /order Endpoint
    • orderGmv -> orderSubtotal
    • orderNetGmv -> orderTotal
    • lineItemGmv -> lineItemSubtotal
  • /invoice Endpoint
    • gmv -> subtotal
    • gmvCollected -> subtotalCollected

Date Input Validation

We will officially require input parameters that are a date type to be properly formatted in yyyy-mm-dd format, as previously stated in the Overview/Dates and Times documentation.

Providing an improperly formatted date will result in an error response.

OpenAPI Field Update

The PO/SO field on the /invoice endpoint was initially listed as a number in a prior version of the documentation, but this was incorrect. It has been updated to be a Nullable<string>.